org.apache.cassandra.db.commitlog

## Class CommitLogSegmentReader.SyncSegment

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegmentReader.SyncSegment

Enclosing class:
  CommitLogSegmentReader

    public static class CommitLogSegmentReader.SyncSegment
    extends java.lang.Object

### Field Summary

Fields
`int` `endPosition` the logical ending position of the buffer
`int` `fileEndPosition` offset in file where this section ends.
`int` `fileStartPosition` offset in file where this section begins.
`FileDataInput` `input` the 'buffer' to replay commit log data from
`boolean` `toleratesErrorsInSection`

### Constructor Summary

Constructors
Constructor and Description
`SyncSegment(FileDataInput input, int fileStartPosition, int fileEndPosition, int endPosition, boolean toleratesErrorsInSection)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### input

    public final FileDataInput input

the 'buffer' to replay commit log data from

#### fileStartPosition

    public final int fileStartPosition

offset in file where this section begins.

#### fileEndPosition

    public final int fileEndPosition

offset in file where this section ends.

#### endPosition

    public final int endPosition

the logical ending position of the buffer

#### toleratesErrorsInSection

    public final boolean toleratesErrorsInSection

### Constructor Detail

#### SyncSegment

    public SyncSegment(FileDataInput input,
                       int fileStartPosition,
                       int fileEndPosition,
                       int endPosition,
                       boolean toleratesErrorsInSection)